[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [equinox-dev] Eclipse won't work on > JDK9b61 unless default classloader hiearchy is changed

Please open a bug to track the issues.  I assume you are having to set the configuration property osgi.frameworkParentClassloader=ext to get this to work on Java 9?

I still believe the default 'parent' class loader for bundles should be 'boot', but the class loader used to load up the framework a therefore allow the framework to export the packages from ext can probably change.

Tom





From:        Tom Schindl <tom.schindl@xxxxxxxxxxxxxxx>
To:        Equinox development mailing list <equinox-dev@xxxxxxxxxxx>, platform-ui-dev@xxxxxxxxxxx
Date:        05/05/2015 04:12 AM
Subject:        [equinox-dev] Eclipse won't work on > JDK9b61 unless default classloader hiearchy is changed
Sent by:        equinox-dev-bounces@xxxxxxxxxxx




Hi,

Starting with b61 org.w3c.dom.** classes have been moved to
* app classpath in b61
* ext classpath in b62

Isn't it time to throw out this none standard class lookup strategy and
use at least "ext".

https://bugs.openjdk.java.net/browse/JDK-8042244
https://bugs.openjdk.java.net/browse/JDK-8078139

Tom

--
Thomas Schindl, CTO
BestSolution.at EDV Systemhaus GmbH
Eduard-Bodem-Gasse 5-7, A-6020 Innsbruck
http://www.bestsolution.at/
Reg. Nr. FN 222302s am Firmenbuchgericht Innsbruck
_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/equinox-dev